Qt 5.13 | Qt Print Support | C++ Classes | QAbstractPrintDialog

Qt 5.13.2 Reference Documentation

# Obsolete Members for QAbstractPrintDialog

The following members of class QAbstractPrintDialog are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | addEnabledOption(QAbstractPrintDialog::PrintDialogOption option)
`(obsolete)` QAbstractPrintDialog::PrintDialogOptions | enabledOptions() const
`(obsolete)` bool | isOptionEnabled(QAbstractPrintDialog::PrintDialogOption option) const
`(obsolete)` void | setEnabledOptions(QAbstractPrintDialog::PrintDialogOptions options)

## Member Function Documentation

### void QAbstractPrintDialog::addEnabledOption(QAbstractPrintDialog::PrintDialogOption option)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QPrintDialog::setOption(option, true) instead.

### QAbstractPrintDialog::PrintDialogOptions QAbstractPrintDialog::enabledOptions() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QPrintDialog::options() instead.

See also setEnabledOptions().

### bool QAbstractPrintDialog::isOptionEnabled(QAbstractPrintDialog::PrintDialogOption option) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QPrintDialog::testOption(option) instead.

### void QAbstractPrintDialog::setEnabledOptions(QAbstractPrintDialog::PrintDialogOptions options)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QPrintDialog::setOptions() instead.

See also enabledOptions().